## libgig 3.3.0

=== debian/changelog ===
libgig (3.3.0-2) unstable; urgency=low

  * Switch to 3.0 (quilt).
  * debian/rules: Drop get-orig-source, no longer needed.
  * Add debian/gbp.conf file.
  * Add .gitignore file.
  * Don't build,install static libraries.
  * Add dh_autoreconf support.
  * debian/control:
    - We moved files between packages (libgig-dev <-> libgig-doc), so it
      had better use Replaces+Breaks, not Conflicts+Replaces.
    - Add Vcs-* fields
    - Bump Standards.
    - Change my email address.
    - Remove DM-Upload-Allowed: yes, no longer needed.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Feb 2011 13:18:38 +0100

libgig (3.3.0-1) unstable; urgency=low

  * New upstream release.
  * Repack the tarball to remove the upstream's debian directory.
  * Switch to debhelper 7.
  * Bump Standards.
  * Add debian/compat.
  * Update debian/copyright.
  * Replace current Maintainer with Debian Multimedia Maintainers;
    also Closes: #474526.
  * Add myself to the Uploaders field.
  * Update and move upstream's website information to Homepage field.
  * Build-Depends on uuid-dev.
  * Replace automake1.9 build-dependency with automake.
  * Replace deprecated ${Source-Version} macro with ${binary:Version}.
  * Getting rid of unneeded *.la.
  * Add libgig-doc runtime, add proper Conflicts/Replaces fields.
  * Rename and update doc-base control file.
  * Improve runtime packages short,extended descriptions.
  * Drop dpatch and all old patches, now unnecessary.
  * Add quilt support.
  * debian/patches/01-Makefile.patch:
    - Ignore debian subdirectory.
  * debian/patches/02-manpages.patch
    - Fix hyphen-used-as-minus-sign lintian warnings.
  * Install NEWS file as upstream's changelog.
  * Remove unnecessary debian/libgig.install, debian/Makefile.{in,am}.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 11 Dec 2009 20:25:45 +0100

libgig (3.2.1-3+cvs080916) unstable; urgency=low

  * Dropped gcc43 patch, fixed upstream

 -- Free Ekanayaka <freee@debian.org>  Wed, 17 Sep 2008 13:11:08 +0100

libgig (3.2.1-2+cvs080916) unstable; urgency=low

  * New cvs snapshot

 -- Free Ekanayaka <freee@debian.org>  Tue, 16 Sep 2008 01:10:27 +0100

libgig (3.2.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix GCC 4.3 compatibility, patch by Brian M. Carlson (Closes: #456083)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 23 Mar 2008 00:23:55 +0100

libgig (3.2.1-1) unstable; urgency=low

  * New upstream release
  * Added myself to Uploaders

 -- Free Ekanayaka <freee@debian.org>  Wed, 05 Dec 2007 16:24:12 +0100

libgig (3.2.0-1) unstable; urgency=low

  * Non-Maintainer upload
  * New upstream lrelease

 -- Free Ekanayaka <freee@debian.org>  Wed, 17 Oct 2007 15:56:47 +0100

libgig (3.1.1-0.1+cvs071005) unstable; urgency=low

  * New cvs snapshot

 -- Free Ekanayaka <freee@debian.org>  Fri,  5 Oct 2007 12:33:59 +0100

libgig (3.1.1-0.1+cvs071004) unstable; urgency=low

  * New cvs snapshot

 -- Free Ekanayaka <freee@debian.org>  Thu,  4 Oct 2007 21:48:02 +0100

libgig (3.1.1-0.1) unstable; urgency=low

  [ Free Ekanayaka ]
  * Non-Maintainer upload
  * New upstream release (Closes: #381628)
  * Included upstream changelog
  * Removed non debian/ files from diff.gz
  * Move libgig3c2 to libgig6 to reflect the so name change
  * Added makefile rule to package cvs snapshots
  * Support passing DEB_BUILD_OPTIONS=athopt to for Athlon optimization

  [ Christian Schoenebeck ]
  * libgig's home has changed slightly from
    http://stud.fh-heilbronn.de/~cschoene/projects/libgig/ to
    http://stud.hs-heilbronn.de/~cschoene/projects/libgig/
  * include NEWS file on installation

 -- Free Ekanayaka <freee@debian.org>  Sat, 13 Jan 2007 00:49:40 +0100

libgig (2.0.d2-2) unstable; urgency=low

  * Cxx transistion (closes: #339205)

 -- Matt Flax <flatmax@pgb.unsw.edu.au>  Sat, 19 Nov 2005 16:44:06 +1100

libgig (2.0.d2-1) unstable; urgency=low

  * New upstream release.
  * Added previous upstream entries in debian/changelog.
  * Force soname update setting age to 1 in configure.ac
  * Fixed doc-base section to Apps/Programming

 -- Paul Brossier <piem@debian.org>  Wed, 24 Aug 2005 10:50:39 +0100

libgig (2.0.2-1) unstable; urgency=low

  * New release.

 -- Christian Schoenebeck <cuse@users.sourceforge.net>  Mon, 15 Aug 2005 19:19:57 +0200

libgig (2.0.cvs20050613+1-1) unstable; urgency=low

  * New upstream release (2.0.1)
  * Move libgig to libgigc2 (g++ 4.0 ABI transition)
  * Make libgigc2 Conflicts against old version of libgig
  * Automatic update of config.{sub,guess}
  * Clean up debian/rules file, bump Standards-Version
  * Remove README.Debian, libgig.install and debian/Makefile*
  * Add watch file

 -- Paul Brossier <piem@debian.org>  Sun, 31 Jul 2005 00:19:09 +0100

libgig (2.0.1-1) unstable; urgency=low

  * New release.

 -- Christian Schoenebeck <cuse@users.sourceforge.net>  Sun, 12 Jun 2005 14:55:17 +0200

libgig (2.0.cvs20050523-1) unstable; urgency=low

  * fixed debian description (Closes: #310221)
  * New release. Mostly pre-prepared by Christian Schoenebeck <cuse@users.sourceforge.net>

 -- Matt Flax <flatmax@pgb.unsw.edu.au>  Mon, 09 May 2005 16:10:58 +0200

libgig (1.0.0cvs20050503-1) unstable; urgency=low

  * Updated to cvs version

 -- Matt Flax <flatmax@pgb.unsw.edu.au>  Wed, 2 Mar 2005 11:40:49 +0100

libgig (1.0.0-1) unstable; urgency=low

  * New upstream release (Closes: #279932)
  * Doxygen API documentation included with libgig-dev
  * Changed maintainer names from Christian Schoenebeck to MAtt Flax. Note
    That the original packaging was done by Christian
  * altered the rules file
  * fixed various lintian errors

 -- Matt Flax <flatmax@pgb.unsw.edu.au>  Sat, 5 Feb 2005 20:02:26 +0100

libgig (0.7.1-1) unstable; urgency=low

  * Initial Release.

 -- Christian Schoenebeck <cuse@users.sourceforge.net>  Tue,  6 Jul 2004 23:12:46 +0200
