=== debian/control ===
Source: libgig
Section: devel
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Paul Brossier <piem@debian.org>,
 Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 dh-autoreconf,
 pkg-config,
 libsndfile1-dev,
 doxygen,
 libtool,
 uuid-dev,
 automake
Standards-Version: 3.9.1
Homepage: http://www.linuxsampler.org/libgig/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/libgig.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libgig.git

Package: libgig-dev
Section: libdevel
Architecture: any
Depends: libgig6 (= ${binary:Version}),
 ${misc:Depends}
Description: development files for libgig
 libgig is a C++ library for loading, modifying and creating Gigasampler
 files and DLS (Downloadable Sounds) Level 1/2 files.
 .
 This package contains the header files needed for
 development with libgig. You will need this only if you
 intend to compile programs that use this library.

Package: libgig6
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: libgig3c2
Replaces: libgig3c2
Description: library for loading and modifying Gigasampler and DLS files
 libgig is a C++ library for loading, modifying and creating Gigasampler
 files and DLS (Downloadable Sounds) Level 1/2 files.
 .
 This package contains the shared library files.

Package: gigtools
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: command line tools for Gigasampler and DLS Level 1/2 files
 Raw file handling for audio sampler files based on DLS Level 1/2 and
 Gigasampler.
 These files are typically used in modern day audio waveform samplers.
 This package contains the following command line tools:
 .
 gigdump:
   Prints out the content of a .gig file.
 gigextract:
   Extracts samples from a .gig file.
 dlsdump:
   Prints out the content of a DLS file.
 rifftree:
   Prints out the RIFF tree of an arbitrary RIFF file.

Package: libgig-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: libgig-dev (<< 3.3.0-1)
Breaks: libgig-dev (<< 3.3.0-1)
Description: HTML documentation for libgig
 libgig is a C++ library for loading, modifying and creating Gigasampler
 files and DLS (Downloadable Sounds) Level 1/2 files.
 .
 This package contains exhaustive HTML documentation for the development with
 libgig.
