=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-static=no

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_build:
	dh_auto_build
	$(MAKE) docs

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog
