## libgig 4.0.0

=== debian/changelog ===
libgig (4.0.0-5) unstable; urgency=medium

  * Add patch to fix CVE-2017-12951. (Closes: #877651)
  * Add patch to fix CVE-2017-12954. (Closes: #877652)
  * Bump Standards.
  * Update Vcs to use git instead of cgit.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 13 Oct 2017 22:33:54 +0200

libgig (4.0.0-4) unstable; urgency=medium

  * debian/patches/CVE-2017-12952.diff: fix some crashes

 -- Paul Brossier <piem@debian.org>  Tue, 29 Aug 2017 15:15:10 +0200

libgig (4.0.0-3) unstable; urgency=medium

  * Bump Standards.
  * Sign tags.
  * Update copyright file.
  * Avoid useless linking.
  * 4.0.0 release (Closes: #850179)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 03 Jul 2017 11:05:58 +0200

libgig (4.0.0-2) unstable; urgency=medium

  * Upload to unstable. (Closes: #847081)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 25 Jun 2017 15:16:09 +0200

libgig (4.0.0-1) experimental; urgency=medium

  [ Alessio Treglia ]
  * Imported Upstream version 4.0.0 (Closes: #834436)
  * Refresh patchset

  [ Jaromír Mikeš ]
  * debian/control
    * Add myself as uploader.
    * Rename package to libgig7.
    * Make libgig-dev Multi-Arch: same.
    * Fix VCS fields.
    * Fix spelling in description.
    * Bump Standards.
    * Split package - separate libakai0 package.
    * Remove not needed Breaks/Replaces.
  * debian/patches
    * Removed 03-deletechuncklist.patch - upstream request.
    * Not patch Makefile.in and configure file.
    * Add spelling patch.
    * Add patch to fix install path.
    * Update 01-Makefile.patch.
    * Not patch Makefile.in and configure file.
  * debian/rules
    * Set dh/compat 10.
    * Drop autoreconf - not needed with compat 10.
    * Fix hardening.
  * Fix .gitignore file.
  * Remove postrm postinst scripts.
  * Remove libgig-dev.doc-base file.
  * Install only one upstream changelog.
  * Update copyright file.
  * Get rid of autom4te.cache files by gbp.conf
  * Drop d/Makefile.* files.
  * Don't sign tags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 01 Dec 2016 22:48:46 +0000

libgig (3.3.0-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 05 Aug 2015 00:00:21 +0200

libgig (3.3.0-4) experimental; urgency=medium

  * Team upload.
  * Rename libgig6 for GCC 5 transition. (Closes: #791124)
  * debian/control:
     - Bump Standards-Version to 3.9.6
     - Remove obsolete Conflicts + Replaces.
     - Bump debhelper B-D to >= 9.
     - Mark libgig6v5 as M-A: same.
  * debian/compat: Bump to 9.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 28 Jul 2015 22:18:32 +0200

libgig (3.3.0-3) unstable; urgency=medium

  * debian/rules: do not install changelog twice
  * debian/rules: use dpkg-buildflags
  * debian/control: bump standards-version
  * debian/rules: cleaner clean
  * debian/rules: build dos in indep, make jquery.js a link
  * debian/control: libgig-doc depends on libjs-jquery
  * debian/patches/03-deletechuncklist.patch: fix riftree segfault (closes:
    #716265)

 -- Paul Brossier <piem@debian.org>  Mon, 31 Mar 2014 13:26:15 -0300
