=== debian/control ===
Source: libgig
Section: devel
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Paul Brossier <piem@debian.org>,
 Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 10~),
 g++ (>= 4:5.1.1-20),
 pkg-config,
 libsndfile1-dev,
 doxygen,
 libtool,
 uuid-dev,
 automake,
Standards-Version: 4.1.1
Homepage: http://www.linuxsampler.org/libgig/
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libgig.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/libgig.git

Package: libgig-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgig7 (= ${binary:Version}),
 libakai0 (= ${binary:Version}),
 ${misc:Depends}
Description: development files for libgig
 libgig is a C++ library for loading, modifying and creating Gigasampler
 files and DLS (Downloadable Sounds) Level 1/2 files.
 .
 Since the Gigasampler / GigaStudio and DLS formats are based ontop
 of the binary RIFF container format, this library also provides
 convenient access to RIFF files in general.
 .
 This package also contains a Linux/POSIX ported version of libakai,
 which provides support for reading Akai formatted medias (CDRoms, HDs,
 Zip disks).
 Currently Akai S1000, S01, S2000 and S3000 series are supported.
 .
 This package contains the header files needed for development with
 libgig. You will need this only if you intend to compile programs
 that use this library.

Package: libgig7
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: library for loading and modifying Gigasampler and DLS files
 libgig is a C++ library for loading, modifying and creating Gigasampler
 files and DLS (Downloadable Sounds) Level 1/2 files.
 .
 This package contains the shared library files.

Package: libakai0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: library for loading and modifying akai files
 libakai is a C++ library for loading, modifying and creating
 akai files.
 .
 This package contains the shared library files.

Package: gigtools
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: command line tools for Gigasampler and DLS Level 1/2 files
 Raw file handling for audio sampler files based on DLS Level 1/2 and
 Gigasampler.
 These files are typically used in modern day audio waveform samplers.
 This package contains the following command line tools:
 .
 gigdump:
   Prints out the content of a .gig file.
 gigextract:
   Extracts samples from a .gig file.
 dlsdump:
   Prints out the content of a DLS file.
 rifftree:
   Prints out the RIFF tree of an arbitrary RIFF container file.
 sf2dump:
   Prints out the content of a .sf2 file.
 sf2extract:
   Extracts audio samples from a .sf2 file.
 korgdump:
   Prints out the content of KORG sound files (.KSF, .KMP).
 korg2gig:
   Converts KORG (.KSF, .KMP) sound files to GigaStudio (.gig) files.
 akaidump:
   Dump an AKAI media i.e. from a CDROM drive as disk image file to your HD.
 akaiextract:
   Extracts audio samples from an AKAI media or from an AKAI disk image file.

Package: libgig-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Replaces: libgig-dev (<< 3.3.0-1)
Breaks: libgig-dev (<< 3.3.0-1)
Description: HTML documentation for libgig
 libgig is a C++ library for loading, modifying and creating Gigasampler
 files and DLS (Downloadable Sounds) Level 1/2 files.
 .
 This package contains exhaustive HTML documentation for the development with
 libgig.
