=== debian/watch ===
version=3
http://download.linuxsampler.org/packages/ libgig-(.*)\.tar\.bz2
