## libgig 4.1.0~repack

=== debian/changelog ===
libgig (4.1.0~repack-2) unstable; urgency=medium

  * Upload to unstable.
  * Set dh/compat 11.
  * Bump Standards.
  * Fix paths in doc-base file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 03 Jan 2018 21:44:44 +0100

libgig (4.1.0~repack-1) experimental; urgency=medium

  * Improve filter option in gbp.conf file.
  * New upstream version 4.1.0
  * Introduce postclone.sh script to ignore .pc/ dir.
  * Patches refreshed/removed.
  * Use secure uri in watch file.
  * Bump soname for libgig.
  * Use secure uri for homepage.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 01 Jan 2018 21:23:27 +0000
