=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 10~),
+ debhelper (>= 11~),
  g++ (>= 4:5.1.1-20),
  pkg-config,
  libsndfile1-dev,
@@ -16,8 +16,8 @@
  libtool,
  uuid-dev,
  automake,
-Standards-Version: 4.1.1
-Homepage: http://www.linuxsampler.org/libgig/
+Standards-Version: 4.1.3
+Homepage: https://www.linuxsampler.org/libgig/
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libgig.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/libgig.git
 
@@ -26,7 +26,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgig7 (= ${binary:Version}),
+ libgig8 (= ${binary:Version}),
  libakai0 (= ${binary:Version}),
  ${misc:Depends}
 Description: development files for libgig
@@ -46,7 +46,7 @@
  libgig. You will need this only if you intend to compile programs
  that use this library.
 
-Package: libgig7
+Package: libgig8
 Section: libs
 Architecture: any
 Multi-Arch: same
