=== debian/watch ===
version=3
opts=dversionmangle=s/~repack.*//,repacksuffix=~repack \
https://download.linuxsampler.org/packages/ libgig-(.*)\.tar\.bz2
