## libgig 4.2.0~ds1

=== debian/changelog ===
libgig (4.2.0~ds1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:05:58 +0100

libgig (4.2.0~ds1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Sep 2019 18:57:17 +0200

libgig (4.2.0~ds1-1) experimental; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * New upstream release.
    - SONAME bump: libgig8 -> libgig9.
  * debian/watch: Use ~ds1 as repack version.
  * debian/copyright:
    - Update Files-Excluded: .git/ not included anymore, debian/ does not need
      to be removed.
    - Update copyright years.
  * debian/control:
    - Bump Standards-Version.
    - Bump debhelper compat to 12.
    - Remove obsolete Breaks+Replaces

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Sep 2019 20:32:18 +0200
