=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: libgig
 Section: devel
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Paul Brossier <piem@debian.org>,
  Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  g++ (>= 4:5.1.1-20),
  pkg-config,
  libsndfile1-dev,
@@ -16,17 +16,17 @@
  libtool,
  uuid-dev,
  automake,
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Homepage: https://www.linuxsampler.org/libgig/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libgig.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/libgig.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/libgig.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libgig
 
 Package: libgig-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends:
- libgig8 (= ${binary:Version}),
+ libgig9 (= ${binary:Version}),
  libakai0 (= ${binary:Version}),
  ${misc:Depends}
 Description: development files for libgig
@@ -46,7 +46,7 @@
  libgig. You will need this only if you intend to compile programs
  that use this library.
 
-Package: libgig8
+Package: libgig9
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -106,8 +106,6 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, libjs-jquery
-Replaces: libgig-dev (<< 3.3.0-1)
-Breaks: libgig-dev (<< 3.3.0-1)
 Description: HTML documentation for libgig
  libgig is a C++ library for loading, modifying and creating Gigasampler
  files and DLS (Downloadable Sounds) Level 1/2 files.
