=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-static=no

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_build-indep:
	$(MAKE) docs
	ln -sf /usr/share/javascript/jquery/jquery.js doc/html/jquery.js

override_dh_auto_clean:
	$(RM) -rf doc/html
	dh_auto_clean
