=== debian/watch ===
version=3
opts=dversionmangle=s/~ds.*//,repacksuffix=~ds1 \
https://download.linuxsampler.org/packages/ libgig-(.*)\.tar\.bz2
