=== debian/changelog ===
libgig (4.3.0~ds1-2) unstable; urgency=medium

  * Upload to unstable
  * Fix html doc path for dh clean (Closes: #998285)

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 01 Nov 2021 22:47:37 +0100

libgig (4.3.0~ds1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Olivier Humbert ]
  * Update copyright (http -> https + add myself)

  [ Dennis Braun ]
  * New upstream version 4.3.0~ds1
  * d/control: Bump dh-compat to 13
  * d/control: Bump Standards-Version to 4.6.0
  * d/control: Set RRR: no
  * d/control: Add myself as uploader
  * d/copyright: Update d/copyright year
  * d/copyright: Add myself to the d/ section of d/copyright
  * Refresh patchset
  * d/rules: Remove unneeded linker flags
  * Add d/clean and remove override_dh_auto_clean
  * d/rules: Remove .la files after installation
  * d/rules: SONAME bump: libgig9 -> libgig10
  * Bump d/watch version to 4

  [ Janitor ]
  * Mark libgig-doc as MA: foreign

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 30 Aug 2021 23:10:22 +0200
