=== debian/control ===
--- 
+++ 
@@ -6,27 +6,28 @@
  Paul Brossier <piem@debian.org>,
  Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>,
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- debhelper-compat (= 12),
- g++ (>= 4:5.1.1-20),
+ debhelper-compat (= 13),
  pkg-config,
  libsndfile1-dev,
  doxygen,
  libtool,
  uuid-dev,
  automake,
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Homepage: https://www.linuxsampler.org/libgig/
 Vcs-Git: https://salsa.debian.org/multimedia-team/libgig.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libgig
+Rules-Requires-Root: no
 
 Package: libgig-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends:
- libgig9 (= ${binary:Version}),
+ libgig10 (= ${binary:Version}),
  libakai0 (= ${binary:Version}),
  ${misc:Depends}
 Description: development files for libgig
@@ -46,7 +47,7 @@
  libgig. You will need this only if you intend to compile programs
  that use this library.
 
-Package: libgig9
+Package: libgig10
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -106,6 +107,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, libjs-jquery
+Multi-Arch: foreign
 Description: HTML documentation for libgig
  libgig is a C++ library for loading, modifying and creating Gigasampler
  files and DLS (Downloadable Sounds) Level 1/2 files.
