## libgig 4.4.1

=== debian/changelog ===
libgig (4.4.1-1) unstable; urgency=medium

  * New upstream version 4.4.1
  * Remove obsolete ds tag
  * Change my email address
  * Remove libtool and automake from B-Ds
  * Bump Standards-Version to 4.7.0
  * Bump d/copyright years
  * Refresh patchset
  * Change B-D from pkg-config to pkgconf
  * Apply wrap-and-sort -ast

 -- Dennis Braun <snd@debian.org>  Sun, 21 Jul 2024 09:23:13 +0200

libgig (4.3.0~ds1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062312

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 12:16:13 +0000
