=== debian/control ===
--- 
+++ 
@@ -7,16 +7,15 @@
  Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- pkg-config,
+ doxygen,
+ dpkg-dev (>= 1.22.5),
  libsndfile1-dev,
- doxygen,
- libtool,
+ pkgconf,
  uuid-dev,
- automake,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://www.linuxsampler.org/libgig/
 Vcs-Git: https://salsa.debian.org/multimedia-team/libgig.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libgig
@@ -27,9 +26,9 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgig10 (= ${binary:Version}),
- libakai0 (= ${binary:Version}),
- ${misc:Depends}
+ libakai0t64 (= ${binary:Version}),
+ libgig10t64 (= ${binary:Version}),
+ ${misc:Depends},
 Description: development files for libgig
  libgig is a C++ library for loading, modifying and creating Gigasampler
  files and DLS (Downloadable Sounds) Level 1/2 files.
@@ -47,24 +46,38 @@
  libgig. You will need this only if you intend to compile programs
  that use this library.
 
-Package: libgig10
+Package: libgig10t64
+Provides:
+ ${t64:Provides},
+Replaces:
+ libgig10,
+Breaks:
+ libgig10 (<< ${source:Version}),
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: library for loading and modifying Gigasampler and DLS files
  libgig is a C++ library for loading, modifying and creating Gigasampler
  files and DLS (Downloadable Sounds) Level 1/2 files.
  .
  This package contains the shared library files.
 
-Package: libakai0
+Package: libakai0t64
+Provides:
+ ${t64:Provides},
+Replaces:
+ libakai0,
+Breaks:
+ libakai0 (<< ${source:Version}),
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: library for loading and modifying akai files
  libakai is a C++ library for loading, modifying and creating
  akai files.
@@ -74,8 +87,9 @@
 Package: gigtools
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: command line tools for Gigasampler and DLS Level 1/2 files
  Raw file handling for audio sampler files based on DLS Level 1/2 and
  Gigasampler.
@@ -106,7 +120,9 @@
 Package: libgig-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery
+Depends:
+ libjs-jquery,
+ ${misc:Depends},
 Multi-Arch: foreign
 Description: HTML documentation for libgig
  libgig is a C++ library for loading, modifying and creating Gigasampler
