## libgig 4.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,13 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.1)
 project(libgig)
 
 if(NOT MSVC)
 	message(FATAL_ERROR "Please use configure and make, this cmake file is currently only to generate msvc solution files")
 endif()
+
+#To force the compiler to use C++ 11
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
 
 #configuration options
@@ -20,27 +24,6 @@
 set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
 set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
-
-#TODO: this is written for vcpkg cppunit install
-#if you're adding other platform and package managers it's probably better to put everything in FindCppUnit.cmake
-#and replace everything here with a simple find_package(CppUnit)
-if(WIN32)
-	find_path(CPPUNIT_INCLUDE_DIRS cppunit/TestFixture.h)
-	find_library(CPPUNIT_LIBRARIES_DEBUG cppunitd_dll)
-	find_library(CPPUNIT_LIBRARIES_RELEASE cppunit_dll)
-	mark_as_advanced(CPPUNIT_INCLUDE_DIRS CPPUNIT_LIBRARIES_DEBUG CPPUNIT_LIBRARIES_RELEASE)
-
-	if(CPPUNIT_LIBRARIES_DEBUG AND CPPUNIT_LIBRARIES_RELEASE AND CPPUNIT_INCLUDE_DIRS)
-		set(CPPUNIT_FOUND TRUE)
-		set(CPPUNIT_LIBRARIES
-		$<$<CONFIG:Debug>:${CPPUNIT_LIBRARIES_DEBUG}>
-		$<$<CONFIG:RelWithDebInfo>:${CPPUNIT_LIBRARIES_RELEASE}>
-		$<$<CONFIG:Release>:${CPPUNIT_LIBRARIES_RELEASE}>
-		$<$<CONFIG:MinSizeRel>:${CPPUNIT_LIBRARIES_RELEASE}>)
-	else()
-		message("cppunit not found. Testcases will not be built.")
-	endif()
-endif(WIN32)
 
 if(LIBGIG_BUILD_TOOLS)
 	find_package(LibSndFile)
@@ -60,6 +43,7 @@
 set(PACKAGE_NAME "libgig")
 
 set(LIBGIG_HEADERS
+	src/sysdef.h
 	src/DLS.h
 	src/gig.h
 	src/RIFF.h
@@ -113,7 +97,7 @@
 	target_link_libraries(libakai Rpcrt4.lib )
 endif()
 
-if(CPPUNIT_FOUND AND LIBGIG_ENABLE_TESTING)
+if(LIBGIG_ENABLE_TESTING)
 	add_subdirectory(src/testcases)
 endif()
 
@@ -128,12 +112,11 @@
 	ARCHIVE DESTINATION lib
 	RUNTIME DESTINATION bin
 	PUBLIC_HEADER DESTINATION include/libgig)
-install(EXPORT libgig-config NAMESPACE libgig:: DESTINATION share/libgig)
 
-install(TARGETS libakai EXPORT libakai-config
+install(TARGETS libakai EXPORT libgig-config
 	LIBRARY DESTINATION lib
 	ARCHIVE DESTINATION lib
 	RUNTIME DESTINATION bin
 	PUBLIC_HEADER DESTINATION include/libgig)
-install(EXPORT libakai-config NAMESPACE libgig:: DESTINATION share/libgig)
+install(EXPORT libgig-config NAMESPACE libgig:: DESTINATION share/libgig)
