=== src/testcases/CMakeLists.txt ===

add_executable(gigwritetest GigWriteTest.cpp)
target_link_libraries(gigwritetest PRIVATE libgig)
target_include_directories(gigwritetest PRIVATE)
add_test(NAME gigwritetest COMMAND gigwritetest)

add_executable(helpertests HelperTest.cpp)
target_link_libraries(helpertests PRIVATE libgig)
target_include_directories(helpertests PRIVATE)
add_test(NAME helpertests COMMAND helpertests)

add_executable(rifftests RiffTests.cpp)
target_link_libraries(rifftests PRIVATE libgig)
target_include_directories(rifftests PRIVATE)
add_test(NAME rifftests COMMAND rifftests)

add_executable(serializationtests SerializationTests.cpp)
target_link_libraries(serializationtests PRIVATE libgig)
target_include_directories(serializationtests PRIVATE)
add_test(NAME serializationtests COMMAND serializationtests)
