=== debian/changelog ===
libgig (4.5.0-1) unstable; urgency=medium

  * New upstream version 4.5.0
  * Bump Standards-Version to 4.7.2
  * Refresh patchset

 -- Dennis Braun <snd@debian.org>  Fri, 29 Aug 2025 19:25:54 +0200
