=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libsndfile1-dev,
  pkgconf,
  uuid-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.linuxsampler.org/libgig/
 Vcs-Git: https://salsa.debian.org/multimedia-team/libgig.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libgig
