=== debian/watch ===
version=4
https://download.linuxsampler.org/packages/ libgig-(.*)\.tar\.bz2
