## libgig 4.5.2

=== debian/changelog ===
libgig (4.5.2-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable
  * debian/control:
    - Remove no longer necessary BD on dpkg-dev
    - Only build on little endian architectures
      Upstream code needs to be ported for big endian architectures.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 23 Dec 2025 10:36:41 +0100

libgig (4.5.2-1) experimental; urgency=medium

  * Team upload

  [ Dennis Braun ]
  * New upstream version 4.5.1
  * Remove redudant rules-requires-root-no field

  [ Sebastian Ramacher ]
  * New upstream version 4.5.2
  * SONAME bump: libgig10 -> libgit13
  * debian/: Remove unused lintian override

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Dec 2025 22:40:40 +0100
