=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  Dennis Braun <snd@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ architecture-is-little-endian,
  doxygen,
- dpkg-dev (>= 1.22.5),
  libsndfile1-dev,
  pkgconf,
  uuid-dev,
@@ -19,7 +19,6 @@
 Homepage: https://www.linuxsampler.org/libgig/
 Vcs-Git: https://salsa.debian.org/multimedia-team/libgig.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libgig
-Rules-Requires-Root: no
 
 Package: libgig-dev
 Section: libdevel
@@ -27,7 +26,7 @@
 Multi-Arch: same
 Depends:
  libakai0t64 (= ${binary:Version}),
- libgig10t64 (= ${binary:Version}),
+ libgig13 (= ${binary:Version}),
  ${misc:Depends},
 Description: development files for libgig
  libgig is a C++ library for loading, modifying and creating Gigasampler
@@ -46,13 +45,7 @@
  libgig. You will need this only if you intend to compile programs
  that use this library.
 
-Package: libgig10t64
-Provides:
- ${t64:Provides},
-Replaces:
- libgig10,
-Breaks:
- libgig10 (<< ${source:Version}),
+Package: libgig13
 Section: libs
 Architecture: any
 Multi-Arch: same
